---
lang: en
title: 'API docs: sequelize.sequelizedatasourceconfig'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizedatasourceconfig.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeDataSourceConfig](./sequelize.sequelizedatasourceconfig.md)

## SequelizeDataSourceConfig type

**Signature:**

```typescript
export type SequelizeDataSourceConfig = {
    name?: string;
    user?: string;
    connector?: SupportedLoopbackConnectors;
    url?: string;
    parseJsonColumns?: boolean;
    sequelizeOptions?: SequelizeOptions;
} & AnyObject;
```

